#include <fcntl.h>
#include <stdio.h>

#define DEV1     "/dev/ht2020_100"
#define DEV2     "/dev/ht2020_101"

int main (int argc, char *argv[])
{
  int           fd1, fd2;
  unsigned char val;

  fd1 = open (DEV1, O_RDWR);
  if (fd1 < 0) {
    fprintf (stderr, "%s open error.\n", DEV1);
    return -1;
  }
  fd2 = open (DEV2, O_RDWR);
  if (!fd2 < 0) {
    fprintf (stderr, "%s open error.\n", DEV2);
    return -1;
  }

  val = 0x55;
  printf ("Write HT2020/0x100 = 0x%02x\n", val);
  write (fd1, &val, 1);
  read (fd1, &val, 1);
  printf ("Read HT2020/0x100: 0x%02x\n", val);

  val = 0xaa;
  printf ("Write HT2020/0x101 = 0x%02x\n", val);
  write (fd2, &val, 1);
  read (fd2, &val, 1);
  printf ("Read HT2020/0x101: 0x%02x\n", val);

  close (fd1);
  close (fd2);
  
  return 0;
}
